Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard
Class StandardModuleType

    ru.biosoft.access.DataElementSupport
      |
      +--biouml.standard.StandardModuleType

Direct Known Subclasses:
  SqlModuleType

public class StandardModuleType
extends DataElementSupport
implements ModuleType

Definition of standard BioUML module. The module defines:

- standard BioUML data types
- mapping of standard BioUML data types into database.
  Just now we are using flat files with tag fields.
- standard DiagramViewBuilders and SemanticControllers.

Field Summary
`final static String` | `VERSION`

Constructor Summary
`StandardModuleType()`

Method Summary
`boolean` | `canCreateEmptyModule()`
`Module` | `createModule(Repository parent, String name)`
`String` | `getCategory(Class c)`
`Class[]` | `getDiagramTypes()`
`QueryEngine` | `getQueryEngine()`
`String` | `getVersion()`
`boolean` | `isCategorySupported()`

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual, toString`

Field Detail

### VERSION

    public final static String VERSION

Constructor Detail

### StandardModuleType

    public StandardModuleType()

Method Detail

### canCreateEmptyModule

    public boolean canCreateEmptyModule()

### createModule

    public Module createModule(Repository parent, String name)
                         throws java.lang.Exception

### getCategory

    public String getCategory(Class c)

### getDiagramTypes

    public Class[] getDiagramTypes()

### getQueryEngine

    public QueryEngine getQueryEngine()

### getVersion

    public String getVersion()

### isCategorySupported

    public boolean isCategorySupported()

Association Links

to Class java.lang.String

to Class java.util.HashMap

  Hashmap to optimise mapping of data type into category.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM